petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecSetOption

Sets an option for controling a vector's behavior.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSetOption(Vec x,VecOption op,PetscBool flag)

Collective on Vec Many br

### Input Parameter

| x | - the vector Many br
| op | - the option Many br
| flag | - turn the option on or off Many br

### Supported Options

| VEC_IGNORE_OFF_PROC_ENTRIES, which causes VecSetValues() to ignore | - entries destined to be stored on a separate processor. This can be used Many brto eliminate the global reduction in the VecAssemblyXXXX() if you know Many brthat you have only used VecSetValues() to set local elements Many br
| VEC_IGNORE_NEGATIVE_INDICES, which means you can pass negative indices | - in ix in calls to VecSetValues() or VecGetValues(). These rows are simply Many brignored. Many br
| VEC_SUBSET_OFF_PROC_ENTRIES, which causes VecAssemblyBegin() to assume that the off | - process Many brentries will always be a subset (possibly equal) of the off-process entries set on the Many brfirst assembly. This reuses the communication pattern, thus avoiding a global reduction. Many brSubsequent assemblies setting off-process values should use the same InsertMode as the Many brfirst assembly. Many br

### Developer Note

The InsertMode restriction could be removed by packing the stash messages out of place. Many br

Many br

Level:intermediate
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages